curl --request GET \
--url https://int-api.mx.com/payment_account \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://int-api.mx.com/payment_account"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Bearer <token>'}
};
fetch('https://int-api.mx.com/payment_account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_account": {
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"account_name": "My test account",
"account_number": 6366816006,
"account_type": "CHECKING",
"available_balance": 1000,
"balance": 1000,
"created_at": "2025-02-13T18:08:00+00:00",
"routing_number": 242722023,
"transit_number": null,
"updated_at": "2025-02-13T18:09:00+00:00"
}
}Read the account balance (Processors Only)
Read the account balance (Processors Only)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
MX Platform API version.
"v20250224"
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
The human-readable name for the account.
"My test account"
The banking account number associated with a particular account.
6366816006
The type of account. Some account types may include subtypes.
ANY, CASH, CHECKING, CHECKING_LINE_OF_CREDIT, CREDIT_CARD, LOAN, LINE_OF_CREDIT, SAVINGS, INVESTMENT, MORTGAGE, INSURANCE, PREPAID, PROPERTY "CHECKING"
The balance that is available for use in asset accounts like checking and savings.
PENDING transactions are typically (not always) taken into account with the available balance.
available_balance will usually be a positive value for all account types, determined in the same way as the balance field.
1000
The current balance of the account.
PENDING transactions are typically not taken into account with the current balance, but this may not always be the case.
The balance will usually be a positive value for all account types. Asset-type accounts (CHECKING, SAVINGS, INVESTMENT) may have a negative balance if they are in overdraft.
Debt-type accounts (CREDIT_CARD, LOAN, LINE_OF_CREDIT, MORTGAGE) may have a negative balance if they are overpaid.
1000
The date and time the resource was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The routing number for the account.
242722023
The five-digit number identifying the branch of a Canadian financial institution.
null
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"

